openapi-petstore-0.1.0.0: Auto-generated openapi-petstore API Client

Safe Haskell | None
Language | Haskell2010

OpenAPIPetstore.API.User

Contents

- Operations
  - User
    - createUser
    - createUsersWithArrayInput
    - createUsersWithListInput
    - deleteUser
    - getUserByName
    - loginUser
    - logoutUser
    - updateUser

Description

Synopsis

- createUser :: (Consumes CreateUser MimeJSON, MimeRender MimeJSON User) => User -> OpenAPIPetstoreRequest CreateUser MimeJSON NoContent MimeNoContent
- data CreateUser
- createUsersWithArrayInput :: (Consumes CreateUsersWithArrayInput MimeJSON, MimeRender MimeJSON User2) => User2 -> OpenAPIPetstoreRequest CreateUsersWithArrayInput MimeJSON NoContent MimeNoContent
- data CreateUsersWithArrayInput
- createUsersWithListInput :: (Consumes CreateUsersWithListInput MimeJSON, MimeRender MimeJSON User2) => User2 -> OpenAPIPetstoreRequest CreateUsersWithListInput MimeJSON NoContent MimeNoContent
- data CreateUsersWithListInput
- deleteUser :: Username -> OpenAPIPetstoreRequest DeleteUser MimeNoContent NoContent MimeNoContent
- data DeleteUser
- getUserByName :: Accept accept -> Username -> OpenAPIPetstoreRequest GetUserByName MimeNoContent User accept
- data GetUserByName
- loginUser :: Accept accept -> Username -> Password -> OpenAPIPetstoreRequest LoginUser MimeNoContent Text accept
- data LoginUser
- logoutUser :: OpenAPIPetstoreRequest LogoutUser MimeNoContent NoContent MimeNoContent
- data LogoutUser
- updateUser :: (Consumes UpdateUser MimeJSON, MimeRender MimeJSON User) => User -> Username -> OpenAPIPetstoreRequest UpdateUser MimeJSON NoContent MimeNoContent
- data UpdateUser

# Operations

## User

### createUser

createUser Source #

Arguments

:: (Consumes CreateUser MimeJSON, MimeRender MimeJSON User) |
=> User | "user" - Created user object
-> OpenAPIPetstoreRequest CreateUser MimeJSON NoContent MimeNoContent |

    POST /user

Create user

This can only be done by the logged in user.

data CreateUser Source #

Instances

Produces CreateUser MimeNoContent Source # |
Consumes CreateUser MimeJSON Source # |
    application/json
HasBodyParam CreateUser User Source # | Body Param User - Created user object
Methods setBodyParam :: (Consumes CreateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest CreateUser contentType res accept -> User -> OpenAPIPetstoreRequest CreateUser contentType res accept Source #

### createUsersWithArrayInput

createUsersWithArrayInput Source #

Arguments

:: (Consumes CreateUsersWithArrayInput MimeJSON, MimeRender MimeJSON User2) |
=> User2 | "user" - List of user object
-> OpenAPIPetstoreRequest CreateUsersWithArrayInput MimeJSON NoContent MimeNoContent |

    POST /user/createWithArray

Creates list of users with given input array

data CreateUsersWithArrayInput Source #

Instances

Produces CreateUsersWithArrayInput MimeNoContent Source # |
Consumes CreateUsersWithArrayInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithArrayInput User2 Source # | Body Param User - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithArrayInput contentType, MimeRender contentType User2) => OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept -> User2 -> OpenAPIPetstoreRequest CreateUsersWithArrayInput contentType res accept Source #

### createUsersWithListInput

createUsersWithListInput Source #

Arguments

:: (Consumes CreateUsersWithListInput MimeJSON, MimeRender MimeJSON User2) |
=> User2 | "user" - List of user object
-> OpenAPIPetstoreRequest CreateUsersWithListInput MimeJSON NoContent MimeNoContent |

    POST /user/createWithList

Creates list of users with given input array

data CreateUsersWithListInput Source #

Instances

Produces CreateUsersWithListInput MimeNoContent Source # |
Consumes CreateUsersWithListInput MimeJSON Source # |
    application/json
HasBodyParam CreateUsersWithListInput User2 Source # | Body Param User - List of user object
Methods setBodyParam :: (Consumes CreateUsersWithListInput contentType, MimeRender contentType User2) => OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept -> User2 -> OpenAPIPetstoreRequest CreateUsersWithListInput contentType res accept Source #

### deleteUser

deleteUser Source #

Arguments

:: Username | "username" - The name that needs to be deleted
-> OpenAPIPetstoreRequest DeleteUser MimeNoContent NoContent MimeNoContent |

    DELETE /user/{username}

Delete user

This can only be done by the logged in user.

data DeleteUser Source #

Instances

Produces DeleteUser MimeNoContent Source # |

### getUserByName

getUserByName Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The name that needs to be fetched. Use user1 for testing.
-> OpenAPIPetstoreRequest GetUserByName MimeNoContent User accept |

    GET /user/{username}

Get user by user name

data GetUserByName Source #

Instances

Produces GetUserByName MimeXML Source # |
    application/xml
Produces GetUserByName MimeJSON Source # |
    application/json

### loginUser

loginUser Source #

Arguments

:: Accept accept | request accept (`MimeType`)
-> Username | "username" - The user name for login
-> Password | "password" - The password for login in clear text
-> OpenAPIPetstoreRequest LoginUser MimeNoContent Text accept |

    GET /user/login

Logs user into the system

data LoginUser Source #

Instances

Produces LoginUser MimeXML Source # |
    application/xml
Produces LoginUser MimeJSON Source # |
    application/json

### logoutUser

logoutUser :: OpenAPIPetstoreRequest LogoutUser MimeNoContent NoContent MimeNoContent Source #

    GET /user/logout

Logs out current logged in user session

data LogoutUser Source #

Instances

Produces LogoutUser MimeNoContent Source # |

### updateUser

updateUser Source #

Arguments

:: (Consumes UpdateUser MimeJSON, MimeRender MimeJSON User) |
=> User | "user" - Updated user object
-> Username | "username" - name that need to be deleted
-> OpenAPIPetstoreRequest UpdateUser MimeJSON NoContent MimeNoContent |

    PUT /user/{username}

Updated user

This can only be done by the logged in user.

data UpdateUser Source #

Instances

Produces UpdateUser MimeNoContent Source # |
Consumes UpdateUser MimeJSON Source # |
    application/json
HasBodyParam UpdateUser User Source # | Body Param User - Updated user object
Methods setBodyParam :: (Consumes UpdateUser contentType, MimeRender contentType User) => OpenAPIPetstoreRequest UpdateUser contentType res accept -> User -> OpenAPIPetstoreRequest UpdateUser contentType res accept Source #